Subject: Re: Continued: small DOS program fails (Permission Denied) when r un f rom Bash in XEmacs
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked] (David M. Karr)
Cc: "Karr, David" <[email-masked]>, "[email-masked]'" <[email-masked]>
Date: Wed, 02 May 2001 23:45:00 -0400

At 10:15 PM 5/2/2001, David M. Karr wrote:
> >>>>> "Larry" == Larry Hall <(RFK Partners, Inc)" <[email-masked]>> writes:
>
>     Larry> At 04:39 PM 5/2/2001, Karr, David wrote:
>     >> Verified.  I got it working outside of XEmacs, verifying it produced an
>     >> output file, then I removed the output file and reran it inside XEmacs,
>     >> and the output file was not created.  It still fails with "Permission
>     >> Denied" in XEmacs.
>     >> 
>     >> -----Original Message----- From: Larry Hall (RFK Partners, Inc)
>     >> [mailto:[email-masked]] Sent: Wednesday, May 02, 2001 1:04 PM To: Karr,
>     >> David; [email-masked]' Subject: Re: Continued: small DOS program
>     >> fails (Permission Denied) when run f rom Bash in XEmacs
>     >> 
>     >> 
>     >> At 01:22 PM 5/2/2001, Karr, David wrote:
>     >> >"Permission Denied".  I put a printf at the top of "main", and it isn't
>     >> >getting there.  I would really appreciate some help understanding what
>     >> is >going on here.
>     >> 
>     >> 
>     >> Just because you don't see output doesn't mean it didn't get there.  Try
>     >> writing to a file, flush it, and close it.
>
>     Larry> OK, running with ntsec set in your CYGWIN environment variable?
>
>I don't know about that.  Could you give me a quick summary of how that works?
>I'll check the Cygwin user guide later for more details.

set CYGWIN=ntsec
bash --login

See the user's guide for more details.

>Would this have something to do with whether Cygwin knows you as your login
>name or as "administrator"?  I realize that the people in my group who don't
>have this same symptom always are known as "administrator" in Cygwin.  I always
>set up my Cygwin installation so it knows my name (mkpasswd -d > /etc/passwd).

Could be.  You apparently have a domain account.  This won't be part of the
local administrators group I'm assuming.  This should only be a problem if
ntsec is set (see above) AFAIK but you might eliminate that as a variable 
by logging is as a local user which is part of the local administrators 
group.

Larry

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple